## pmdk 1.9

=== debian/changelog ===
pmdk (1.9-2) unstable; urgency=medium

  * Add valgrind overrides fit for glibc 2.35; closes: #967057.
  * Lintian overrides for no hardening on -debug packages (Andreas
    Hasenack).

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 05 Aug 2020 00:35:28 +0200

pmdk (1.9-1) unstable; urgency=medium

  * Upstream release.
  * Work around __pycache__ droppings.
  * Disable scope tests until binutils #964457 is fixed; closes #964623.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 21 Jul 2020 09:52:05 +0200

pmdk (1.9~rc2-1) experimental; urgency=medium

  * New upstream RC.
  * Replace upstream gpg key.
  * Don't try to install rpmemd manpages on !amd64.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 02 Jul 2020 16:15:52 +0200

pmdk (1.9~rc1-1) experimental; urgency=medium

  * New upstream RC.
  * Temporarily delete upstream key checking.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Jun 2020 13:11:33 +0200
