## pmdk 1.9.2

=== debian/changelog ===
pmdk (1.9.2-1~bpo10+1) buster-backports; urgency=medium

  * Bump the backport to 1.9.2.
  * Disable valgrind tests on ppc64el, until new valgrind is backported.
  * Re-disable rpmem on ppc64 and arm64, until RDMA libs get backported.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 05 Nov 2020 11:54:30 +0100

pmdk (1.9.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 29 Oct 2020 00:02:54 +0100

pmdk (1.9.1-1~bpo10+1) buster-backports; urgency=medium

  * Backport to Buster (closes: #972940).
  * Disable valgrind tests on arm64, until a fix for crash on dc cvac
    (#930708) or newer valgrind (#973009) get backported to Buster.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 28 Oct 2020 10:03:27 +0100

pmdk (1.9.1-3) unstable; urgency=medium

  * Fix rpmemd not being installed on !amd64.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Oct 2020 09:36:35 +0200

pmdk (1.9.1-2) unstable; urgency=medium

  * Enable rpmem on ppc64 and arm64.  Thanks Tuliom!

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 12 Oct 2020 22:38:28 +0200

pmdk (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 19 Sep 2020 04:12:26 +0200
