=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
                pkg-config,
                python3,
                strace,
-               valgrind,
-               valgrind (>= 1:3.15.0) [arm64],
+               valgrind [!arm64 !ppc64el],
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pmem.io/pmdk/
