=== src/examples/libpmem2/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright 2020, Intel Corporation

#
# examples/libpmem2/Makefile -- build the libpmem2 examples
#

DIRS = advanced basic log redo map_multiple_files unsafe_shutdown

include ../Makefile.inc
