=== src/test/ex_linkedlist/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright 2016-2019, Intel Corporation

#
# src/test/ex_linkedlist/Makefile -- build ex_linkedlist unittest
#
TARGET = ex_linkedlist
OBJS = ex_linkedlist.o

LIBPMEMOBJ=y

include ../Makefile.inc
INCS += -I../../examples/libpmemobj/linkedlist
