=== src/test/ex_pmreorder/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright 2018, Intel Corporation

#
# src/test/ex_pmreorder/Makefile -- build pmreorder_list example
# needed for ex_pmreorder tests
#

all: $(EXAMPLES)
	$(MAKE) -C $(EX_PMREORDER)

include ../Makefile.inc

EXAMPLES=$(EX_PMREORDER)/pmreorder_list
