=== src/test/getopt/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright 2016-2019, Intel Corporation

#
# src/test/getopt/Makefile -- getopt unit test
#

TARGET = getopt
OBJS = getopt.o

include ../Makefile.inc
