=== src/test/obj_badblock/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright 2019, Intel Corporation

#
# src/test/obj_badblock/Makefile -- build obj_badblock test
#
TARGET = obj_badblock
OBJS = obj_badblock.o

LIBPMEMOBJ=y

include ../Makefile.inc
