=== src/test/obj_list_insert/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright 2015-2016, Intel Corporation

#
# src/test/obj_list_insert/Makefile -- build obj_list_insert unittest
#

include ../obj_list/Makefile.inc
