=== src/test/obj_list_valgrind/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright 2015-2016, Intel Corporation

#
# src/test/obj_list_valgrind/Makefile -- unit test for list module with
# valgrind pmemcheck tool
#

include ../obj_list/Makefile.inc
