=== debian/changelog ===
pmdk (1.10-2+deb11u1~bpo10+2) buster-backports; urgency=medium

  * Drop rpmem stuff on !amd64, Buster has no deps.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 25 Oct 2021 12:24:01 +0200

pmdk (1.10-2+deb11u1~bpo10+1) buster-backports; urgency=medium

  * Backport to Buster.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 10 Oct 2021 01:26:15 +0200

pmdk (1.10-2+deb11u1) bullseye; urgency=high

  * Fix missing barriers after non-temporal memcpy.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 28 Sep 2021 17:41:00 +0200

pmdk (1.10-2) unstable; urgency=high

  * Fix insufficient flushing on ARMv8.2+ (closes: #990573).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 02 Jul 2021 17:02:37 +0200

pmdk (1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 08 Nov 2020 21:18:06 +0100

pmdk (1.10~rc1-1) experimental; urgency=medium

  * New upstream RC.
  * Add libpmem2{,-dev}.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 18 Oct 2020 23:05:48 +0200
