=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                pkg-config,
                python3,
                strace,
-               valgrind [!arm64 !ppc64el],
+               valgrind [!arm64],
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pmem.io/pmdk/
@@ -24,7 +24,7 @@
 Architecture: amd64 arm64 ppc64el
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Persistent Memory low level support library
+Description: Persistent Memory low level support library, v1 runtime
  libpmem provides low level persistent memory support.  In particular, support
  for the persistent memory instructions for flushing changes to pmem is
  provided.
@@ -32,12 +32,40 @@
  This library is provided for software which tracks every store to pmem and
  needs to flush those changes to durability.  Most developers will find higher
  level libraries like libpmemobj to be much more convenient.
+ .
+ This package provides binary runtime for version 1 of the API.
 
 Package: libpmem1-debug
 Architecture: amd64 arm64 ppc64el
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory low level support library — debug build
+ libpmem provides low level persistent memory support.  In particular, support
+ for the persistent memory instructions for flushing changes to pmem is
+ provided.
+ .
+ This package contains a special build of this library meant for debugging
+ purposes.  It contains extra logging, assertions and expensive checks that
+ should not be used otherwise.
+
+Package: libpmem-dev
+Section: libdevel
+Architecture: amd64 arm64 ppc64el
+Multi-Arch: same
+Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Persistent Memory low level support library, v1 headers
+ libpmem provides low level persistent memory support.  In particular, support
+ for the persistent memory instructions for flushing changes to pmem is
+ provided.
+ .
+ This package contains libraries and header files used for linking programs
+ against libpmem.
+
+Package: libpmem2
+Architecture: amd64 arm64 ppc64el
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Persistent Memory low level support library, v2 runtime
  libpmem provides low level persistent memory support.  In particular, support
  for the persistent memory instructions for flushing changes to pmem is
  provided.
@@ -45,23 +73,33 @@
  This library is provided for software which tracks every store to pmem and
  needs to flush those changes to durability.  Most developers will find higher
  level libraries like libpmemobj to be much more convenient.
- .
- This package contains a special build of this library meant for debugging
- purposes.  It contains extra logging, assertions and expensive checks that
- should not be used otherwise.
-
-Package: libpmem-dev
-Section: libdevel
-Architecture: amd64 arm64 ppc64el
-Multi-Arch: same
-Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: development files for libpmem1
- libpmem provides low level persistent memory support.  In particular, support
- for the persistent memory instructions for flushing changes to pmem is
- provided.
- .
- This package contains libraries and header files used for linking programs
- against libpmem.
+
+Package: libpmem2-debug
+Architecture: amd64 arm64 ppc64el
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Persistent Memory low level support library — debug build
+ libpmem provides low level persistent memory support.  In particular, support
+ for the persistent memory instructions for flushing changes to pmem is
+ provided.
+ .
+ This package contains a special build of this library meant for debugging
+ purposes.  It contains extra logging, assertions and expensive checks that
+ should not be used otherwise.
+
+Package: libpmem2-dev
+Section: libdevel
+Architecture: amd64 arm64 ppc64el
+Multi-Arch: same
+Depends: libpmem2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Persistent Memory low level support library, v2 headers
+ libpmem provides low level persistent memory support.  In particular, support
+ for the persistent memory instructions for flushing changes to pmem is
+ provided.
+ .
+ This package contains libraries and header files used for linking programs
+ against libpmem2, with a modernized API that avoids certain limitations of
+ libpmem1.
 
 Package: libpmemblk1
 Architecture: amd64 arm64 ppc64el
@@ -259,39 +297,3 @@
  encryption of connection’s out-of-band configuration data.
  .
  This library is for applications that use remote persistent memory directly,
- without the help of any library-supplied transactions or memory allocation.
- Higher-level libraries that build on libpmem are available and are recommended
- for most applications.
-
-Package: librpmem1-debug
-Architecture: amd64
-Multi-Arch: same
-Depends: libpmem1-debug (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Persistent Memory remote access support library — debug build
- librpmem provides low-level support for remote access to persistent memory
- (pmem) utilizing RDMA-capable RNICs.  The library can be used to replicate
- remotely a memory region over RDMA protocol.  It utilizes appropriate
- persistency mechanism based on remote node’s platform capabilities.  The
- librpmem utilizes the ssh client to authenticate a user on remote node and for
- encryption of connection’s out-of-band configuration data.
- .
- This library is for applications that use remote persistent memory directly,
- without the help of any library-supplied transactions or memory allocation.
- Higher-level libraries that build on libpmem are available and are recommended
- for most applications.
- .
- This package contains a special build of this library meant for debugging
- purposes.  It contains extra logging, assertions and expensive checks that
- should not be used otherwise.
-
-Package: librpmem-dev
-Section: libdevel
-Architecture: amd64
-Multi-Arch: same
-Depends: libpmem-dev (= ${binary:Version}),
-         librpmem1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: development files for librpmem1
